{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "订单明细",
    "lanResTag" : "DE.LNAME.IBIZORDERDETAIL",
    "lanResType" : "DE.LNAME",
    "mOSFilePath" : "pslanguageres/Auto904",
    "name" : "实体逻辑名称（DE.LNAME.*）[IBIZORDERDETAIL]",
    "rTMOSFilePath" : "pslanguageres/Auto904",
    "refFlag" : true
  },
  "caption" : "订单明细",
  "codeName" : "IBIZOrderDetailGridView9",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailGridView9.json",
  "gridRowActiveMode" : 2,
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderDetailGridView9",
  "memo" : "系统自动添加",
  "name" : "IBIZOrderDetailGridView9",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "GridView9",
    "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderDetailGridView9/psappviewengines/engine",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "appViewLogicName" : "opendata",
      "name" : "OPENDATA",
      "paramType" : "LOGIC"
    }, {
      "appViewLogicName" : "newdata",
      "name" : "NEWDATA",
      "paramType" : "LOGIC"
    }, {
      "ctrlName" : "grid",
      "name" : "GRID",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSAppViewLogics" : [ {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction1"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "deuiaction2",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction2_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction2"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "deuiaction3",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction3_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction3"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "deuiaction4",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction4_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction4"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "deuiaction5",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction5_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction5"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "mOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
        "rTMOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "mOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
        "rTMOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "mOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
        "rTMOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "mOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
        "rTMOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "EDITDATA",
    "realTitle" : "订单明细编辑视图",
    "getRealTitlePSLanguageRes" : {
      "defaultContent" : "订单明细编辑视图",
      "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.EDITVIEW",
      "lanResType" : "PAGE",
      "mOSFilePath" : "pslanguageres/Auto154",
      "name" : "界面文本（PAGE.*）[TITLE.IBIZORDERDETAIL.EDITVIEW]",
      "rTMOSFilePath" : "pslanguageres/Auto154",
      "refFlag" : true
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "NEWDATA",
    "realTitle" : "订单明细编辑视图",
    "getRealTitlePSLanguageRes" : {
      "defaultContent" : "订单明细编辑视图",
      "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.EDITVIEW",
      "lanResType" : "PAGE",
      "mOSFilePath" : "pslanguageres/Auto154",
      "name" : "界面文本（PAGE.*）[TITLE.IBIZORDERDETAIL.EDITVIEW]",
      "rTMOSFilePath" : "pslanguageres/Auto154",
      "refFlag" : true
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "toolbar_deuiaction1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "New"
    },
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_deuiaction2",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Edit"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_deuiaction3",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "uIActionTarget" : "MULTIKEY",
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_deuiaction4",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Copy"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_deuiaction5",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Exit"
    },
    "xDataControlName" : "grid"
  } ],
  "getPSControls" : [ {
    "aggMode" : "NONE",
    "codeName" : "Main",
    "columnEnableFilter" : 2,
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail/PSGRIDS/Main.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch"
    },
    "groupMode" : "NONE",
    "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
    "logicName" : "主表格",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDERDETAIL/psdegrids/Main",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
      "logicTag" : "grid",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_grid",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "defaultContent" : "订单明细名称",
        "lanResTag" : "DEF.LNAME.IBIZORDERDETAILNAME",
        "lanResType" : "DEF.LNAME",
        "mOSFilePath" : "pslanguageres/Auto697",
        "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZORDERDETAILNAME]",
        "rTMOSFilePath" : "pslanguageres/Auto697",
        "refFlag" : true
      },
      "caption" : "订单明细名称",
      "codeName" : "ibizorderdetailname",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "ibizorderdetailname",
      "excelCaption" : "订单明细名称",
      "mOSFilePath" : "psdegridcols/ibizorderdetailname",
      "name" : "ibizorderdetailname",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILNAME",
        "codeName" : "IBIZOrderDetailName"
      },
      "rTMOSFilePath" : "psdegridcols/ibizorderdetailname",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "defaultContent" : "订单名称",
        "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZORDERNAME",
        "lanResType" : "DEF.LNAME",
        "mOSFilePath" : "pslanguageres/Auto1651",
        "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZORDERDETAIL.IBIZORDERNAME]",
        "rTMOSFilePath" : "pslanguageres/Auto1651",
        "refFlag" : true
      },
      "caption" : "订单名称",
      "codeName" : "IBIZordername",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "ibizordername",
      "excelCaption" : "订单名称",
      "getLinkPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderRedirectView.json",
        "viewType" : "DEREDIRECTVIEW"
      },
      "linkValueItem" : "ibizorderid",
      "mOSFilePath" : "psdegridcols/IBIZordername",
      "name" : "IBIZordername",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      },
      "rTMOSFilePath" : "psdegridcols/IBIZordername",
      "width" : 150,
      "widthUnit" : "PX",
      "enableLinkView" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "defaultContent" : "产品名称",
        "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZUNIPRODUCTNAME",
        "lanResType" : "DEF.LNAME",
        "mOSFilePath" : "pslanguageres/Auto924",
        "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZORDERDETAIL.IBIZUNIPRODUCTNAME]",
        "rTMOSFilePath" : "pslanguageres/Auto924",
        "refFlag" : true
      },
      "caption" : "产品名称",
      "codeName" : "IBIZuniproductname",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "ibizuniproductname",
      "excelCaption" : "产品名称",
      "getLinkPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductRedirectView.json",
        "viewType" : "DEREDIRECTVIEW"
      },
      "linkValueItem" : "ibizuniproductid",
      "mOSFilePath" : "psdegridcols/IBIZuniproductname",
      "name" : "IBIZuniproductname",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTNAME",
        "codeName" : "IBIZUNIProductName"
      },
      "rTMOSFilePath" : "psdegridcols/IBIZuniproductname",
      "width" : 150,
      "widthUnit" : "px",
      "enableLinkView" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "defaultContent" : "数量",
        "lanResTag" : "DEF.LNAME.QUANTITY",
        "lanResType" : "DEF.LNAME",
        "mOSFilePath" : "pslanguageres/Auto1126",
        "name" : "属性逻辑名称（DEF.LNAME.*）[QUANTITY]",
        "rTMOSFilePath" : "pslanguageres/Auto1126",
        "refFlag" : true
      },
      "caption" : "数量",
      "codeName" : "quantity",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "quantity",
      "excelCaption" : "数量",
      "mOSFilePath" : "psdegridcols/quantity",
      "name" : "quantity",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "QUANTITY",
        "codeName" : "Quantity"
      },
      "rTMOSFilePath" : "psdegridcols/quantity",
      "width" : 150,
      "widthUnit" : "px",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "defaultContent" : "单价",
        "lanResTag" : "DEF.LNAME.UNITPRICE",
        "lanResType" : "DEF.LNAME",
        "mOSFilePath" : "pslanguageres/Auto937",
        "name" : "属性逻辑名称（DEF.LNAME.*）[UNITPRICE]",
        "rTMOSFilePath" : "pslanguageres/Auto937",
        "refFlag" : true
      },
      "caption" : "单价",
      "codeName" : "unitprice",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "unitprice",
      "excelCaption" : "单价",
      "mOSFilePath" : "psdegridcols/unitprice",
      "name" : "unitprice",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UNITPRICE",
        "codeName" : "UnitPrice"
      },
      "rTMOSFilePath" : "psdegridcols/unitprice",
      "width" : 150,
      "widthUnit" : "px",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "defaultContent" : "小计",
        "lanResTag" : "DEF.LNAME.AMOUNT",
        "lanResType" : "DEF.LNAME",
        "mOSFilePath" : "pslanguageres/Auto1494",
        "name" : "属性逻辑名称（DEF.LNAME.*）[AMOUNT]",
        "rTMOSFilePath" : "pslanguageres/Auto1494",
        "refFlag" : true
      },
      "caption" : "小计",
      "codeName" : "amount",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "amount",
      "excelCaption" : "小计",
      "mOSFilePath" : "psdegridcols/amount",
      "name" : "amount",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "AMOUNT",
        "codeName" : "Amount"
      },
      "rTMOSFilePath" : "psdegridcols/amount",
      "width" : 100,
      "widthUnit" : "STAR",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "defaultContent" : "单位",
        "lanResTag" : "DEF.LNAME.UNIT",
        "lanResType" : "DEF.LNAME",
        "mOSFilePath" : "pslanguageres/Auto32",
        "name" : "属性逻辑名称（DEF.LNAME.*）[UNIT]",
        "rTMOSFilePath" : "pslanguageres/Auto32",
        "refFlag" : true
      },
      "caption" : "单位",
      "codeName" : "unit",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "unit",
      "excelCaption" : "单位",
      "mOSFilePath" : "psdegridcols/unit",
      "name" : "unit",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UNIT",
        "codeName" : "Unit"
      },
      "rTMOSFilePath" : "psdegridcols/unit",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "ibizorderdetailname",
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILNAME",
        "codeName" : "IBIZOrderDetailName"
      }
    }, {
      "dataType" : 25,
      "name" : "ibizordername",
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      }
    }, {
      "dataType" : 25,
      "name" : "ibizuniproductname",
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTNAME",
        "codeName" : "IBIZUNIProductName"
      }
    }, {
      "dataType" : 9,
      "name" : "quantity",
      "getPSAppDEField" : {
        "name" : "QUANTITY",
        "codeName" : "Quantity"
      }
    }, {
      "dataType" : 7,
      "name" : "unitprice",
      "getPSAppDEField" : {
        "name" : "UNITPRICE",
        "codeName" : "UnitPrice"
      }
    }, {
      "dataType" : 7,
      "name" : "amount",
      "getPSAppDEField" : {
        "name" : "AMOUNT",
        "codeName" : "Amount"
      }
    }, {
      "dataType" : 25,
      "name" : "unit",
      "getPSAppDEField" : {
        "name" : "UNIT",
        "codeName" : "Unit"
      }
    }, {
      "dataType" : 25,
      "name" : "ibizorderdetailid",
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "ibizorderid",
      "getPSAppDEField" : {
        "name" : "IBIZORDERID",
        "codeName" : "IBIZOrderId"
      }
    }, {
      "dataType" : 25,
      "name" : "ibizuniproductid",
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTID",
        "codeName" : "IBIZUNIProductId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILNAME",
        "codeName" : "IBIZOrderDetailName"
      }
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "订单明细标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "mOSFilePath" : "psdegridcols/srfkey",
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "rTMOSFilePath" : "psdegridcols/srfkey",
      "allowEmpty" : true
    } ],
    "pagingSize" : 10,
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderDetailGridView9/psappviewctrls/grid",
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
      }
    },
    "sortMode" : "REMOTE",
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "forceFit" : true,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "d1ab03dfc88189ae9dcc5e21a1458f93",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "GridView9toolbar",
    "controlType" : "TOOLBAR",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "嵌入",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDERDETAIL/psdetoolbars/GridView9toolbar",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1_click"
      }
    }, {
      "eventArg" : "deuiaction2",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction2_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction2_click"
      }
    }, {
      "eventArg" : "deuiaction3",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction3_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction3_click"
      }
    }, {
      "eventArg" : "deuiaction4",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction4_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction4_click"
      }
    }, {
      "eventArg" : "deuiaction5",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction5_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction5_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TEXT.*.NEW",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto1712",
        "name" : "工具栏按钮文本[*.NEW]",
        "rTMOSFilePath" : "pslanguageres/Auto1712",
        "refFlag" : true
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TEXT.*.NEW",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto1712",
          "name" : "工具栏按钮文本[*.NEW]",
          "rTMOSFilePath" : "pslanguageres/Auto1712",
          "refFlag" : true
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/New",
        "name" : "编辑界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "EDITVIEW_NEWACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/New",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TOOLTIP.*.NEW",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto274",
          "name" : "工具栏按钮提示[*.NEW]",
          "rTMOSFilePath" : "pslanguageres/Auto274",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TOOLTIP.*.NEW",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto274",
        "name" : "工具栏按钮提示[*.NEW]",
        "rTMOSFilePath" : "pslanguageres/Auto274",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TEXT.*.EDIT",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto1585",
        "name" : "工具栏按钮文本[*.EDIT]",
        "rTMOSFilePath" : "pslanguageres/Auto1585",
        "refFlag" : true
      },
      "caption" : "编辑",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction2",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction2"
      },
      "getPSSysImage" : {
        "glyph" : "xf044@FontAwesome",
        "cssClass" : "fa fa-edit"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TEXT.*.EDIT",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto1585",
          "name" : "工具栏按钮文本[*.EDIT]",
          "rTMOSFilePath" : "pslanguageres/Auto1585",
          "refFlag" : true
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TOOLTIP.*.EDIT",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto834",
          "name" : "工具栏按钮提示[*.EDIT]",
          "rTMOSFilePath" : "pslanguageres/Auto834",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "编辑",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TOOLTIP.*.EDIT",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto834",
        "name" : "工具栏按钮提示[*.EDIT]",
        "rTMOSFilePath" : "pslanguageres/Auto834",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "删除",
        "lanResTag" : "TBB.TEXT.*.REMOVE",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto998",
        "name" : "工具栏按钮文本[*.REMOVE]",
        "rTMOSFilePath" : "pslanguageres/Auto998",
        "refFlag" : true
      },
      "caption" : "删除",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction3"
      },
      "getPSSysImage" : {
        "glyph" : "xf00d@FontAwesome",
        "cssClass" : "fa fa-remove"
      },
      "getPSUIAction" : {
        "actionTarget" : "MULTIKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "删除",
          "lanResTag" : "TBB.TEXT.*.REMOVE",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto998",
          "name" : "工具栏按钮文本[*.REMOVE]",
          "rTMOSFilePath" : "pslanguageres/Auto998",
          "refFlag" : true
        },
        "caption" : "删除",
        "codeName" : "Remove",
        "fullCodeName" : "Remove",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
        "name" : "表格界面_删除操作",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "predefinedType" : "GRIDVIEW_REMOVEACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "删除",
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto1782",
          "name" : "工具栏按钮提示[*.REMOVE]",
          "rTMOSFilePath" : "pslanguageres/Auto1782",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Remove",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "删除",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "删除",
        "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto1782",
        "name" : "工具栏按钮提示[*.REMOVE]",
        "rTMOSFilePath" : "pslanguageres/Auto1782",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "拷贝",
        "lanResTag" : "TBB.TEXT.*.COPY",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto514",
        "name" : "工具栏按钮文本[*.COPY]",
        "rTMOSFilePath" : "pslanguageres/Auto514",
        "refFlag" : true
      },
      "caption" : "拷贝",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction4",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction4"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c5@FontAwesome",
        "cssClass" : "fa fa-copy"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "拷贝",
          "lanResTag" : "TBB.TEXT.*.COPY",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto514",
          "name" : "工具栏按钮文本[*.COPY]",
          "rTMOSFilePath" : "pslanguageres/Auto514",
          "refFlag" : true
        },
        "caption" : "拷贝",
        "codeName" : "Copy",
        "fullCodeName" : "Copy",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Copy",
        "name" : "表格界面_拷贝操作",
        "getPSSysImage" : {
          "glyph" : "xf0c5@FontAwesome",
          "cssClass" : "fa fa-copy"
        },
        "predefinedType" : "GRIDVIEW_COPYACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Copy",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "拷贝",
          "lanResTag" : "TBB.TOOLTIP.*.COPY",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto1542",
          "name" : "工具栏按钮提示[*.COPY]",
          "rTMOSFilePath" : "pslanguageres/Auto1542",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Copy",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "拷贝",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "拷贝",
        "lanResTag" : "TBB.TOOLTIP.*.COPY",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto1542",
        "name" : "工具栏按钮提示[*.COPY]",
        "rTMOSFilePath" : "pslanguageres/Auto1542",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "关闭",
        "lanResTag" : "TBB.TEXT.EDITVIEW.CLOSE",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto1363",
        "name" : "工具栏按钮文本[EDITVIEW.CLOSE]",
        "rTMOSFilePath" : "pslanguageres/Auto1363",
        "refFlag" : true
      },
      "caption" : "关闭",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction5",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction5"
      },
      "getPSSysImage" : {
        "glyph" : "xf08b@FontAwesome",
        "cssClass" : "fa fa-sign-out"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "关闭",
          "lanResTag" : "TBB.TEXT.EDITVIEW.CLOSE",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto1363",
          "name" : "工具栏按钮文本[EDITVIEW.CLOSE]",
          "rTMOSFilePath" : "pslanguageres/Auto1363",
          "refFlag" : true
        },
        "caption" : "关闭",
        "codeName" : "Exit",
        "fullCodeName" : "Exit",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Exit",
        "name" : "编辑界面_退出操作",
        "getPSSysImage" : {
          "glyph" : "xf08b@FontAwesome",
          "cssClass" : "fa fa-sign-out"
        },
        "predefinedType" : "EDITVIEW_EXITACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Exit",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "关闭",
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.CLOSE",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto607",
          "name" : "工具栏按钮提示[EDITVIEW.CLOSE]",
          "rTMOSFilePath" : "pslanguageres/Auto607",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Exit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "关闭",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "关闭",
        "lanResTag" : "TBB.TOOLTIP.EDITVIEW.CLOSE",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto607",
        "name" : "工具栏按钮提示[EDITVIEW.CLOSE]",
        "rTMOSFilePath" : "pslanguageres/Auto607",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderDetailGridView9/psappviewctrls/toolbar",
    "modelid" : "d11b12b9d7ca7f5d1780a5ae56a4149d",
    "modeltype" : "PSDETOOLBAR"
  } ],
  "getPSDEViewCodeName" : "GridView9",
  "getPSDEViewId" : "1531c86cd716794e325896a0e80519dc",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEGRIDVIEW9",
    "controlType" : "VIEWLAYOUTPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDERDETAIL/pssysviewlayoutpanels/Layoutpanel",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderDetailGridView9/psappviewctrls/layoutpanel",
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderDetailGridView9",
  "title" : "订单明细表格视图",
  "getTitlePSLanguageRes" : {
    "defaultContent" : "订单明细表格视图",
    "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.GRIDVIEW9",
    "lanResType" : "PAGE",
    "mOSFilePath" : "pslanguageres/Auto445",
    "name" : "界面文本（PAGE.*）[TITLE.IBIZORDERDETAIL.GRIDVIEW9]",
    "rTMOSFilePath" : "pslanguageres/Auto445",
    "refFlag" : true
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDVIEW9",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : false,
  "enableImport" : true,
  "enableRowEdit" : false,
  "rowEditDefault" : false,
  "modelid" : "a5c123887fed6734a6b04952d01f242d",
  "modeltype" : "PSAPPDEVIEW",
  "getPSAppDERSPaths" : [ [ {
    "actionRSMode" : 1,
    "codeName" : "IBIZORDERDETAILS",
    "dataRSMode" : 0,
    "mOSFilePath" : "pssysapps/Web/psappders/IBIZORDERDETAILS",
    "majorDECodeName" : "IBIZOrder",
    "majorDEName" : "IBIZORDER",
    "getMajorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "minorDECodeName" : "IBIZOrderDetail",
    "minorDEName" : "IBIZORDERDETAIL",
    "getMinorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
    },
    "name" : "订单实体_订单明细",
    "getParentPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    },
    "rSMode" : 2,
    "rTMOSFilePath" : "pssysapps/Web/psappders/IBIZORDERDETAILS"
  } ] ]
}